%define upstream_name    Path-Class-File-Stat
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Cache and compare stat() calls on a Path::Class::File object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Path::Class) >= 0.320.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Path::Class::File::Stat is a simple extension of Path::Class::File.
Path::Class::File::Stat is useful in long-running programs (as under
mod_perl) where you might have a file handle opened and want to check if
the underlying file has changed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 26 2013 jquelin <jquelin> 0.50.0-1.mga4
+ Revision: 447077
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 56729
- update to 0.03

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 28720
- mageia rebuild
- imported package perl-Path-Class-File-Stat


* Tue Oct 26 2010 Buchan Milne <bgmilne@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 589484
- import perl-Path-Class-File-Stat

